/* ====== THEME ====== */

.nb-theme-cosmic nb-menu .menu-item .menu-icon,
.nb-theme-cosmic nb-menu .menu-item .menu-icon:before,
.nb-theme-corporate nb-menu .menu-item .menu-icon,
.nb-theme-corporate nb-menu .menu-item .menu-icon:before {
  font-size: 1.5rem !important;
}

.nb-theme-corporate nb-layout .layout nb-layout-header nav {
  background: #111218;
  color: #f7fafb;
}

.nb-theme-corporate nb-sidebar.menu-sidebar nb-menu>.menu-items>.menu-item:first-child .menu-title::after {
  content: '';
  display: none;
}

.nb-theme-corporate nb-sidebar.menu-sidebar nb-menu .menu-item a .menu-title {
  line-height: 1.2;
  max-width: 100%;
  padding-right: 1.5rem;
}

.nb-theme-corporate nb-sidebar.menu-sidebar {
  opacity: 0.5;
}

.nb-theme-corporate .input-group-addon,
.nb-theme-corporate .form-control {
  font-family: 'Mont-Serrat', sans-serif !important;
}

.btn.disabled,
.btn:disabled {
  opacity: 0.5;
  background-color: #000 !important;
  color: #fff;
}

.nb-theme-corporate .input-group-addon:focus,
.nb-theme-corporate .form-control:focus {
  border: 2px solid #fbd206 !important;
}

.required label::after {
  content: ' *';
  color: #f00;
}

label.not-required::after,
.not-required label::after,
.required .disabled label::after {
  content: '';
}

.nb-theme-corporate select.form-control:not([size]):not([multiple]) {
  height: calc(2rem + 6px);
}

.nb-theme-corporate nb-layout .layout nb-layout-header nav {
  background-color: #000 !important;
}

.nb-theme-corporate .modal-header {
  background-color: #000;
  color: #ffffff !important;
}

.nb-theme-corporate .modal-header .close {
  color: #ffffff !important;
}

.nb-theme-corporate nb-tabset ul,
.nb-theme-corporate .modal-footer {
  background-color: #f1f5f8;
}

.nb-theme-corporate .input-group-addon,
.nb-theme-corporate .input-group-icon {
  line-height: 2.5rem;
}

.nb-theme-corporate nb-card-header {
  font-family: "Montserrat" !important;
  font-size: 1.35rem !important;
}

.nb-theme-corporate ng2-smart-table table tr th,
.nb-theme-corporate ng2-smart-table table tr th a {
  font-family: "Montserrat" !important;
}

.nb-theme-corporate.show-header-menu .menu-header-options {
  display: flex !important;
}

.nb-theme-corporate.show-user-menu-item .menu-item#user-menu-item,
.nb-theme-corporate.show-player-menu-item .menu-item#player-menu-item {
  display: flex !important;
}

.nb-theme-corporate.hide-theme-components nb-sidebar.menu-sidebar,
.nb-theme-corporate.hide-theme-components ngx-header nb-user.context-menu-host {
  display: none !important;
}

.nb-theme-corporate .angular2-smart-row {
  border-bottom: 1px solid #ddd;
}

.nb-theme-corporate .angular2-smart-row:first-child {
  border-top: 1px solid #ddd;
}

.nb-theme-corporate .editable-action {
  display: none;
}

.nb-theme-corporate .editable-row .editable-action {
  display: block;
}

.facility-icon {
  height: 17px;
  width: auto;
  margin-right: 3px;
}

.sub-title {
  font-size: 90%;
  margin: 0.2rem 0;
  color: #939598;
  font-weight: 400;
}

.cdk-overlay-pane {
  background-color: #fbfbfb;
}

mat-datepicker-toggle button {
  background-color: #fbfbfb;
  border-radius: 0 !important;
  height: 3.3rem !important;
  border: 2px solid #dadfe6 !important;
  border-left: none !important;
}

mat-datepicker-toggle button .mat-button-wrapper {
  color: #a4abb3;
}

.mat-calendar-body-disabled .mat-calendar-body-cell-content {
  background-color: #f1f1f1;
  color: #939598;
}

ngx-auth nb-layout-header,
ngx-auth nb-sidebar,
ngx-auth nb-layout-footer {
  display: none !important;
}

ngx-auth .layout-container {
  padding-top: 0 !important;
}

ngx-auth nb-layout-column {
  padding: 0 !important;
}

.ng2-smart-titles {
  background-color: #000 !important;
}

.nb-theme-corporate ng2-smart-table table tr th,
.nb-theme-corporate ng2-smart-table table tr th a {
  color: #ffffff !important;
}

.nb-theme-corporate nb-sidebar.menu-sidebar nb-menu>.menu-items>.menu-item:first-child .menu-title::after {
  content: '' !important;
  color: transparent !important;
  margin-left: 0 !important;
  background: transparent !important;
  padding: 0 !important;
  border-radius: 0 !important;
  font-size: 0 !important;
}

.nb-theme-corporate .btn.btn-success {
  background-color: #fbd206 !important;
  border-color: #d9b004 !important;
  color: #000 !important;
  box-shadow: none;
}

.btn-success:focus, .btn-success.focus {
  box-shadow: 0 0 0 0.2rem rgba(217, 176, 4, 0.5);
}

.nb-theme-corporate ng2-smart-table table tr.ng2-smart-titles th a.sort.asc::after,
.nb-theme-corporate ng2-smart-table table tr.ng2-smart-titles th a.sort.desc::after {
  border-bottom-color: #ccc !important;
}

.nb-theme-corporate .btn.btn-small {
  padding: 0.3rem 0.7rem;
  margin: 0.2rem 0;
  font-size: .85rem;
  opacity: 0.9;
}

@media (min-width: 992px) {
  .extra-large .modal-lg {
    max-width: 860px;
  }
}

.check-icon {
  color: #000;
  font-size: 1.5rem;
}

.nb-theme-corporate ng2-smart-table nav.ng2-smart-pagination-nav .pagination li.active a,
.nb-theme-corporate ng2-smart-table nav.ng2-smart-pagination-nav .pagination li.active a:hover,
.nb-theme-corporate ng2-smart-table nav.ng2-smart-pagination-nav .pagination li.active a:focus,
.nb-theme-corporate ng2-smart-table nav.ng2-smart-pagination-nav .pagination li.active>span,
.nb-theme-corporate ng2-smart-table nav.ng2-smart-pagination-nav .pagination li.active>span:hover,
.nb-theme-corporate ng2-smart-table nav.ng2-smart-pagination-nav .pagination li.active>span:focus {
  color: #ffffff;
  background-color: #000 !important;
}

.nb-theme-corporate ng2-smart-table td ng2-smart-table-cell span {
  color: #a2a612;
  font-size: 80%;
}

.nb-theme-corporate ng2-smart-table td ng2-smart-table-cell span div {
  color: #52af22;
}

.nb-theme-corporate ng2-smart-table td ng2-smart-table-cell a {
  color: #58595b;
  font-size: 26px;
}

.nb-theme-corporate ng2-smart-table td ng2-smart-table-cell a.zoom-btn {
  background: #fbd206;
  font-size: 1rem;
  color: #000;
  padding: 0.2rem 1rem;
  border: 1px solid;
  border-radius: 3px;
  display: inline-block;
}

.nb-theme-corporate ng2-smart-table td ng2-smart-table-cell a.highlight-icon {
  color: #a2a612;
  font-size: 1rem;
}

.nb-theme-corporate ng2-smart-table td ng2-smart-table-cell img {
  max-height: 50px;
  width: auto;
}

.nb-theme-corporate ng2-smart-table td ng2-smart-table-cell a.approve {
  color: #25aa65;
  top: -3px;
  position: relative;
  margin-right: 8px;
}

.nb-theme-corporate ng2-smart-table td ng2-smart-table-cell a.approve:hover {
  color: #58dd98;
}

.nb-theme-corporate ng2-smart-table td ng2-smart-table-cell a.reject {
  color: #aa2565;
  position: relative;
  top: 3px;
}

.nb-theme-corporate ng2-smart-table td ng2-smart-table-cell a.reject:hover {
  color: #dd5898;
}

.transaction {
  background: #eee;
  color: #517838 !important;
  padding: 4px 4px 4px 6px;
  margin-bottom: 5px;
  display: block;
  position: relative;
  border-radius: 5px;
  font-size: 0.85rem;
}

.transaction:hover {
  text-decoration: none !important;
  color: #517838 !important;
  background: #fafafa;
}

.status-check {
  color: #517838;
}

.status-cancel {
  color: #ff6b83;
}

.status-clock {
  color: #73a1ff;
}

.nb-theme-corporate frapa-admin-credentials angular2-st-tbody-edit-delete a:first-child, 
.nb-theme-corporate frapa-admin-credentials angular2-st-tbody-create-cancel a:first-child, 
.nb-theme-corporate frapa-admin-credentials angular2-smart-action-expand-expand a:first-child,
.nb-theme-corporate frapa-credentials angular2-st-tbody-edit-delete a:first-child, 
.nb-theme-corporate frapa-credentials angular2-st-tbody-create-cancel a:first-child, 
.nb-theme-corporate frapa-credentials angular2-smart-action-expand-expand a:first-child {
  margin-right: 1rem !important;
}

.nb-theme-corporate nb-card.size-medium {
  height: 26.5rem;
}

/* === GALLERY === */

.gallery-wrapper {
  padding: 0 !important;
  position: relative;
}

.gallery {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  height: 100%;
  overflow: auto;
  max-height: 40vh;
}

.photo {
  position: relative;
  height: 300px;
  overflow: hidden;
  padding: 0 !important;
  background: transparent;
}

.photo img {
  position: absolute;
  left: -50%;
  right: -50%;
  margin: auto;
  top: 0;
  bottom: 0;
  vertical-align: middle;
  height: 100%;
  width: auto;
}

.photo .overlay {
  position: absolute;
  display: flex;
  z-index: 30;
  width: 100%;
  height: 100%;
  background: transparent;
  align-content: center;
}

.photo .overlay span {
  color: #ffffff;
  margin: auto 0.5rem;
  align-content: center;
  display: flex;
  font-size: 1.5rem;
  text-align: center;
  line-height: 1.25;
  opacity: 0;
}

.photo span.delete-photo {
  position: absolute;
  display: none;
  color: #c3c3c3;
  z-index: 40;
  font-size: 2rem;
  right: 3px;
  top: 3px;
  cursor: pointer;
  padding: 0.25rem;
}

.photo span.delete-photo:hover {
  color: #ffffff;
}

.photo:hover img {
  top: -50%;
  bottom: -50%;
  animation-name: growImage;
  -o-animation-name: growImage;
  -moz-animation-name: growImage;
  -webkit-animation-name: growImage;
  animation-duration: 0.5s;
  -o-animation-duration: 0.5s;
  -moz-animation-duration: 0.5s;
  -webkit-animation-duration: 0.5s;
  height: 110%;
}

.photo:hover .overlay span {
  opacity: 1;
}

.photo:hover span.delete-photo {
  display: block;
}

@keyframes darkOverlay {
  0% {
    background: rgba(81, 120, 56, 0);
  }

  100% {
    background: rgba(81, 120, 56, 0.75);
  }
}

@-o-keyframes darkOverlay {
  0% {
    background: rgba(81, 120, 56, 0);
  }

  100% {
    background: rgba(81, 120, 56, 0.75);
  }
}

@-moz-keyframes darkOverlay {
  0% {
    background: rgba(81, 120, 56, 0);
  }

  100% {
    background: rgba(81, 120, 56, 0.75);
  }
}

@-webkit-keyframes darkOverlay {
  0% {
    background: rgba(81, 120, 56, 0);
  }

  100% {
    background: rgba(81, 120, 56, 0.75);
  }
}

@keyframes growImage {
  0% {
    height: 100%;
  }

  100% {
    height: 110%;
  }
}

@-o-keyframes growImage {
  0% {
    height: 100%;
  }

  100% {
    height: 110%;
  }
}

@-moz-keyframes growImage {
  0% {
    height: 100%;
  }

  100% {
    height: 110%;
  }
}

@-webkit-keyframes growImage {
  0% {
    height: 100%;
  }

  100% {
    height: 110%;
  }
}

/* === FINANCIAL DATE SELECT === */

dp-day-calendar .dp-weekdays,
.dp-calendar-day,
.dp-calendar-week~.dp-calendar-week,
.dp-current-location-btn {
  display: none;
}

dp-day-calendar .dp-calendar-week {
  width: 200px;
  height: 30px;
}

dp-day-calendar .dp-calendar-week>.dp-calendar-day.dp-current-month:last-of-type {
  display: block;
  width: 200px;
  color: transparent;
  background-color: #cad357;
  border: none;
  font-size: 0;
}

dp-day-calendar .dp-calendar-week>.dp-calendar-day.dp-current-month::after {
  color: #fff;
  content: 'Selecionar';
  text-align: right;
  width: 100%;
  font-size: 1rem;
}

.dp-nav-header-btn {
  background-color: #fff;
  color: #666;
  padding: 0.5rem;
  border: none;
  font-weight: 700;
}

dp-calendar-nav .dp-calendar-nav-container {
  height: 40px !important;
}

dp-calendar-nav .dp-calendar-nav-left,
dp-calendar-nav .dp-calendar-nav-right {
  line-height: 0;
  background-color: #fff;
  border: none;
  height: 30px;
  padding: 0 1rem;
  font-size: 0;
  text-align: center;
}

dp-calendar-nav .dp-calendar-nav-left::before,
dp-calendar-nav .dp-calendar-nav-right::before {
  border-color: #000;
  margin-left: -3px;
}

.dp-calendar-month {
  background-color: #fff;
  color: #000;
  border: 1px solid #fff;
}

dp-day-calendar,
dp-day-calendar * {
  font-family: Exo;
}

/* === BOOKINGS === */

.success-action {
  color: #5dcfe3;
  opacity: 0.75;
}

.danger-action {
  color: #ff6b83;
  opacity: 0.75;
}

.success-action:hover,
.danger-action:hover {
  opacity: 1;
}

.nb-theme-corporate ng2-smart-table .no-action .ng2-smart-actions a.ng2-smart-action-edit-edit {
  display: none;
}

/* === FRAPA === */

.reduced-font {
  font-size: 1.5rem !important;
}

.autocomplete-container .suggestions-container ul li a {
  color: #222 !important;
}

.frapa-color {
  color: #cad357;
}

.grey-color {
  color: #58595b !important;
}

/* === FRAPA 2025 === */

.nb-theme-corporate nb-sidebar.menu-sidebar {
  opacity: 1;
}

.nb-theme-corporate nb-sidebar.menu-sidebar .main-container {
  background: rgba(227, 233, 238, 1);
}

.nb-theme-corporate nb-menu .menu-item .menu-icon, .nb-theme-corporate nb-menu .menu-item a {
  color: #58595b;
  font-size: 1rem;
}

.nb-theme-corporate nb-menu .menu-item a {
  font-weight: 400;
}

.nb-theme-corporate nb-menu .menu-item a.active, .nb-theme-corporate nb-menu .menu-item a.active .menu-icon,
.nb-theme-corporate nb-menu .menu-item a:hover, .nb-theme-corporate nb-menu .menu-item a:hover .menu-icon {
  font-weight: 700;
  color: #000 !important;
}

.nb-theme-corporate nb-menu .menu-item {
  border-bottom: 1px solid #cdd5dc;
}

.nb-theme-corporate angular2-smart-table-title a, .nb-theme-corporate angular2-smart-table-cell a {
  color: rgb(162, 166, 18) !important;
}

.nb-theme-corporate angular2-smart-table-title a.zoom-btn, .nb-theme-corporate angular2-smart-table-cell a.zoom-btn {
  background: #fbd206;
  color: #000 !important;
  padding: 0.25rem 0.5rem;
  border: 1px solid #d9b004;
  border-radius: 0.25rem;
}

.nb-theme-corporate angular2-smart-table-title a.zoom-btn:hover, 
:hover.nb-theme-corporate angular2-smart-table-cell a.zoom-btn:hover {
  text-decoration: none;
  background-color: #fce317 !important;
}

.nb-theme-corporate nb-user .user-name {
  color: #fff !important;
}

.nb-theme-corporate angular2-st-tbody-edit-delete a {
  font-size: 1rem;
  color: #58595b !important;
}

.nb-theme-corporate angular2-st-tbody-edit-delete a .nb-edit,
.nb-theme-corporate angular2-st-tbody-edit-delete a .nb-trash {
  font-size: 1.5rem;
}

.nb-theme-corporate angular2-smart-table-pager {
  justify-content: center !important;
}

.nb-theme-corporate .page-item.active .page-link {
  background-color: #000;
  border-color: #000;
}

.nb-theme-corporate angular2-smart-table-pager li a {
  color: #58595b;
}

.nb-theme-corporate a:hover {
  color: rgb(162, 166, 18) !important;
}

.nb-theme-corporate angular2-smart-table-pager li a:hover {
  text-decoration: none;
  color: #000 !important
}

.nb-theme-corporate nb-layout .layout .layout-container .content nb-layout-footer nav a {
  color: #000;
  font-weight: 700;
  text-decoration: none;
}

.nb-theme-corporate angular2-smart-table tbody tr:nth-child(2n + 1) {
  background-color: #f2f2f2;
}

.nb-theme-corporate .btn-info {
  color: #fff;
  background-color: #939598 !important;
  border-color: #58595b !important;
  box-shadow: none;
}

.nb-theme-corporate .btn-info:hover {
  background-color: #a4a6a9 !important;
}

.nb-theme-corporate .btn.btn-success:hover {
  background-color: #fce317 !important;
}

.nb-theme-corporate .btn-danger,
.btn-danger:not(:disabled):not(.disabled):active, .btn-danger:not(:disabled):not(.disabled).active, .show > .btn-danger.dropdown-toggle {
  color: #fff;
  background-color: #000;
  border-color: #000;
  box-shadow: none;
}

.nb-theme-corporate .btn-danger:hover {
  background-color: #333;
}

.nb-theme-default .input-group-addon:focus, .nb-theme-default .form-control:focus {
  border: 2px solid #fdb206 !important;
}

.cke_notifications_area {
  display: none;
}

a.btn {
  text-decoration: none;
}

.nb-theme-corporate .sucess-icon {
  color: #58995b;
}

/* ------------------------------ */
/* ------------------------------ */
/* ---------- CALENDAR ---------- */
/* ------------------------------ */
/* ------------------------------ */

.ngx-datepicker-container .ngx-datepicker-input {
  width: 100% !important;
  border: none !important;
  text-align: center;
}

.ngx-datepicker-calendar-container {
  z-index: 400;
}

.cdk-overlay-container {
  z-index: 11000 !important;
}

dp-day-calendar .dp-weekdays,
.dp-calendar-day,
.dp-calendar-week~.dp-calendar-week,
.dp-current-location-btn {
  display: none;
}

dp-day-calendar .dp-calendar-week {
  width: 200px;
  height: 30px;
}

dp-day-calendar .dp-calendar-week>.dp-calendar-day.dp-current-month:last-of-type {
  display: block;
  width: 200px;
  color: transparent;
  background-color: #ff6b83;
  border: none;
  font-size: 0;
}

dp-day-calendar .dp-calendar-week>.dp-calendar-day.dp-current-month::after {
  color: #58595b;
  content: 'Selecionar';
  text-align: right;
  width: 100%;
  font-size: 1rem;
}

.dp-nav-header-btn {
  background-color: #fff;
  color: #58595b;
  padding: 0.5rem;
  border: none;
  font-weight: 700;
}

dp-calendar-nav .dp-calendar-nav-container {
  height: 40px !important;
}

dp-calendar-nav .dp-calendar-nav-left,
dp-calendar-nav .dp-calendar-nav-right {
  line-height: 0;
  background-color: #fff;
  color: #58595b;
  border: none;
  height: 30px;
  padding: 0 1rem;
  font-size: 0;
  text-align: center;
}

dp-calendar-nav .dp-calendar-nav-left::before,
dp-calendar-nav .dp-calendar-nav-right::before {
  border-color: #58595b;
  margin-left: -3px;
}

.dp-calendar-month {
  background-color: #fff;
  color: #58595b;
  border: 1px solid #ccc;
}

.owl-dt-control-button-arrow {
  background: #cad357;
  margin-left: 5px !important;
  border-radius: 10px;
  height: 20px;
  width: 20px;
}

.owl-dt-control-button-arrow svg {
  left: -1px;
  position: relative;
  top: 1px;
}

.owl-dt-calendar-table .owl-dt-calendar-cell-selected {
  color: #58595b !important;
  background-color: #cad357 !important;
}

/* ----------------------------------------- */
/* ----------------------------------------- */
/* ---------- AMAZING TIME PICKER ---------- */
/* ----------------------------------------- */
/* ----------------------------------------- */

time-picker {
  z-index: 1060;
  position: relative;
}

.time-picker-am,
.time-picker-pm {
  font-size: 0;
}

.time-picker-am::before {
  content: "MANHÃ";
  font-size: 1.15rem;
}

.time-picker-pm::before {
  content: "TARDE";
  font-size: 1.15rem;
}

#time-picker-wrapper.dark .time-picker-selected-ampm {
  display: none;
}

#time-picker-wrapper.light #time-picker .time-picker-header,
#time-picker-wrapper.light #time-picker .time-picker-clock>button.active,
#time-picker-wrapper.light #time-picker .time-picker-clock .time-picker-clock-arrow,
#time-picker-wrapper.light #time-picker .time-picker-clock .time-picker-clock-origin,
#time-picker-wrapper.light #time-picker .time-picker-footer button,
#time-picker-wrapper.light #time-picker .time-picker-clock .time-picker-clock-arrow span,
#time-picker-wrapper.dark #time-picker .time-picker-header,
#time-picker-wrapper.dark #time-picker .time-picker-clock>button.active,
#time-picker-wrapper.dark #time-picker .time-picker-clock .time-picker-clock-arrow,
#time-picker-wrapper.dark #time-picker .time-picker-clock .time-picker-clock-origin,
#time-picker-wrapper.dark #time-picker .time-picker-footer button,
#time-picker-wrapper.dark #time-picker .time-picker-clock .time-picker-clock-arrow span {
  background: #000 !important;
}

#time-picker-wrapper.light #time-picker .time-picker-footer button.atp-ref-dialog-close,
#time-picker-wrapper.dark #time-picker .time-picker-footer button.atp-ref-dialog-close {
  background: #fdb206 !important;
  color: #000 !important;
}

#time-picker-wrapper.light #time-picker .time-picker-header .time-picker-selected-time,
#time-picker-wrapper.light #time-picker .time-picker-header .time-picker-selected-ampm,
#time-picker-wrapper.dark #time-picker .time-picker-header .time-picker-selected-time,
#time-picker-wrapper.dark #time-picker .time-picker-header .time-picker-selected-ampm {
  color: #bbb !important;
}

#time-picker-wrapper.light #time-picker .time-picker-header .time-picker-selected-time div.selected,
#time-picker-wrapper.light #time-picker .time-picker-header .time-picker-selected-ampm div.selected,
#time-picker-wrapper.light #time-picker .time-picker-footer button,
#time-picker-wrapper.dark #time-picker .time-picker-header .time-picker-selected-time div.selected,
#time-picker-wrapper.dark #time-picker .time-picker-header .time-picker-selected-ampm div.selected,
#time-picker-wrapper.dark #time-picker .time-picker-footer button {
  color: #fff !important;
}

#time-picker-wrapper.light #time-picker .time-picker-footer,
#time-picker-wrapper.dark #time-picker .time-picker-footer {
  background: #fff !important;
}

#time-picker-wrapper.light #time-picker .time-picker-footer button,
#time-picker-wrapper.dark #time-picker .time-picker-footer button {
  font-size: 0 !important;
}

#time-picker-wrapper.light #time-picker .time-picker-footer button:first-child::before,
#time-picker-wrapper.dark #time-picker .time-picker-footer button:first-child::before {
  content: 'CANCELAR';
  font-size: 0.85rem !important;
}

#time-picker-wrapper.light #time-picker .time-picker-footer button:last-child::before,
#time-picker-wrapper.dark #time-picker .time-picker-footer button:last-child::before {
  content: 'SELECIONAR';
  font-size: 0.85rem !important;
}

#time-picker-wrapper.dark #time-picker .time-picker-clock {
  background: #cad357 !important;
}

#time-picker-wrapper.dark #time-picker .time-picker-clock>button {
  color: #222 !important;
}

#time-picker-wrapper.dark #time-picker .time-picker-clock>button.active {
  color: #222 !important;
}

#time-picker-wrapper.dark #time-picker {
  background: #222 !important;
}

dp-date-picker,
dp-date-picker * {
  width: auto;
}

.dp-picker-input {
  width: 100%;
}

color-picker .button-area button, color-picker .button-area button {
  background-color: #fbd206;
  color: #000;
  border: 1px solid transparent;
  border-color: #d9b004;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  line-height: 1.5;
  border-radius: 0.25rem;
  display: inline-block;
  font-weight: 400;
  text-align: center;
  vertical-align: middle;
  transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

color-picker .button-area button:hover, color-picker .button-area button:hover {
  background-color: #fce317;
}

.large-font-size {
  font-size: 1.5rem;
}

.spinning {
  animation-name: spinning;
  animation-duration: 2s;
  animation-timing-function: ease;
  animation-iteration-count: infinite;
}

@-webkit-keyframes spinning {
  0% {transform:rotate(0)}
  100%{transform:rotate(360deg)}
}

@-moz-keyframes spinning {
  0%{-moz-transform:rotate(0)}
  100%{-moz-transform:rotate(360deg)}
}

@keyframes spinning {
  0%{transform:rotate(0)}
  100%{transform:rotate(360deg)}
}

.nb-theme-corporate nb-tooltip.status-primary {
  background: #000;
  border-color: #444;
  border-radius: 10px;
}

.cdk-overlay-pane {
  background-color: transparent;
}

.nb-theme-corporate nb-tooltip.status-primary .arrow {
  border-bottom-color: #000;
}

.nb-theme-corporate nb-tooltip.status-primary .content {
  color: #ffffff;
  font-family: 'Mont-Serrat', sans-serif !important;
  font-size: 1rem;
  line-height: 1.2;
}

/*
 * Toastr
 * Version 2.0.1
 * Copyright 2012 John Papa and Hans Fjallemark.  
 * All Rights Reserved.  
 * Use, reproduction, distribution, and modification of this code is subject to the terms and 
 * conditions of the MIT license, available at http://www.opensource.org/licenses/mit-license.php
 *
 * Author: John Papa and Hans Fjallemark
 * Project: https://github.com/CodeSeven/toastr
 */

.toaster-icon {
  position: absolute;
  left: 0.0em;
  top: 0.0em;
  font-weight: normal;
  color: #ffffff;
}

.toast-title {
  font-weight: bold;
}

.toast-message {
  -ms-word-wrap: break-word;
  word-wrap: break-word;
}

.toast-message a,
.toast-message label {
  color: #ffffff;
}

.toast-message a:hover {
  color: #cccccc;
  text-decoration: none;
}

.toast-close-button {
  position: relative;
  right: -0.3em;
  top: -0.3em;
  float: right;
  font-size: 20px;
  font-weight: bold;
  color: #ffffff;
  -webkit-text-shadow: 0 1px 0 #ffffff;
  text-shadow: 0 1px 0 #ffffff;
  opacity: 0.8;
  -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=80);
  filter: alpha(opacity=80);
  z-index: 999;
}

.toast-close-button:hover,
.toast-close-button:focus {
  color: #000000;
  text-decoration: none;
  cursor: pointer;
  opacity: 0.4;
  -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=40);
  filter: alpha(opacity=40);
}

/*Additional properties for button version
 iOS requires the button element instead of an anchor tag.
 If you want the anchor version, it requires `href="#"`.*/
button.toast-close-button {
  padding: 0;
  cursor: pointer;
  background: transparent;
  border: 0;
  -webkit-appearance: none;
  appearance: none;
  top: -70px;
}

.toast-content {
  display: inline-block;
  width: 95%;
}

.toast-top-full-width {
  top: 0;
  right: 0;
  width: 100%;
}

.toast-bottom-full-width {
  bottom: 0;
  right: 0;
  width: 100%;
}

.toast-top-left {
  top: 12px;
  left: 12px;
}

.toast-top-center {
  top: 12px;
}

.toast-top-right {
  top: 12px;
  right: 12px;
}

.toast-bottom-right {
  right: 12px;
  bottom: 12px;
}

.toast-bottom-center {
  bottom: 12px;
}

.toast-bottom-left {
  bottom: 12px;
  left: 12px;
}

.toast-center {
  top: 45%;
}

.toast-container {
  position: fixed;
  z-index: 999999;
  /*overrides*/
  pointer-events: auto;
}

.toast-container.toast-center,
.toast-container.toast-top-center,
.toast-container.toast-bottom-center {
  width: 100%;
  pointer-events: none;
  left: 0;
  right: 0;
}

.toast-container.toast-center>div,
.toast-container.toast-top-center>div,
.toast-container.toast-bottom-center>div {
  margin: 6px auto;
  pointer-events: auto;
}

.toast-container.toast-center>button,
.toast-container.toast-top-center>button,
.toast-container.toast-bottom-center>button {
  pointer-events: auto;
}

.toast-container * {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

.toast-container>div {
  margin: 0 0 6px;
  padding: 15px 15px 15px 50px;
  width: 300px;
  border-radius: 3px 3px 3px 3px;
  background-position: 15px center;
  background-repeat: no-repeat;
  -webkit-box-shadow: 0 0 12px #999999;
  box-shadow: 0 0 12px #999999;
  color: #ffffff;
  opacity: 0.8;
  -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=80);
  filter: alpha(opacity=80);
}

.toast-container> :hover {
  -webkit-box-shadow: 0 0 12px #000000;
  box-shadow: 0 0 12px #000000;
  opacity: 1;
  -ms-filter: progid:DXImageTransform.Microsoft.Alpha(Opacity=100);
  filter: alpha(opacity=100);
  cursor: pointer;
}

.icon-info {
  width: 35px;
  height: 100%;
  display: inline-block;
  background-repeat: no-repeat;
  background-position: 100% 50%;
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAGwSURBVEhLtZa9SgNBEMc9sUxxRcoUKSzSWIhXpFMhhYWFhaBg4yPYiWCXZxBLERsLRS3EQkEfwCKdjWJAwSKCgoKCcudv4O5YLrt7EzgXhiU3/4+b2ckmwVjJSpKkQ6wAi4gwhT+z3wRBcEz0yjSseUTrcRyfsHsXmD0AmbHOC9Ii8VImnuXBPglHpQ5wwSVM7sNnTG7Za4JwDdCjxyAiH3nyA2mtaTJufiDZ5dCaqlItILh1NHatfN5skvjx9Z38m69CgzuXmZgVrPIGE763Jx9qKsRozWYw6xOHdER+nn2KkO+Bb+UV5CBN6WC6QtBgbRVozrahAbmm6HtUsgtPC19tFdxXZYBOfkbmFJ1VaHA1VAHjd0pp70oTZzvR+EVrx2Ygfdsq6eu55BHYR8hlcki+n+kERUFG8BrA0BwjeAv2M8WLQBtcy+SD6fNsmnB3AlBLrgTtVW1c2QN4bVWLATaIS60J2Du5y1TiJgjSBvFVZgTmwCU+dAZFoPxGEEs8nyHC9Bwe2GvEJv2WXZb0vjdyFT4Cxk3e/kIqlOGoVLwwPevpYHT+00T+hWwXDf4AJAOUqWcDhbwAAAAASUVORK5CYII=") !important;
}

.icon-wait {
  width: 35px;
  height: 100%;
  display: inline-block;
  background-repeat: no-repeat;
  background-position: 100% 50%;
  background-image: url("data:image/gif;base64,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") !important;
}

.icon-error {
  width: 35px;
  height: 100%;
  display: inline-block;
  background-repeat: no-repeat;
  background-position: 100% 50%;
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAHOSURBVEhLrZa/SgNBEMZzh0WKCClSCKaIYOED+AAKeQQLG8HWztLCImBrYadgIdY+gIKNYkBFSwu7CAoqCgkkoGBI/E28PdbLZmeDLgzZzcx83/zZ2SSXC1j9fr+I1Hq93g2yxH4iwM1vkoBWAdxCmpzTxfkN2RcyZNaHFIkSo10+8kgxkXIURV5HGxTmFuc75B2RfQkpxHG8aAgaAFa0tAHqYFfQ7Iwe2yhODk8+J4C7yAoRTWI3w/4klGRgR4lO7Rpn9+gvMyWp+uxFh8+H+ARlgN1nJuJuQAYvNkEnwGFck18Er4q3egEc/oO+mhLdKgRyhdNFiacC0rlOCbhNVz4H9FnAYgDBvU3QIioZlJFLJtsoHYRDfiZoUyIxqCtRpVlANq0EU4dApjrtgezPFad5S19Wgjkc0hNVnuF4HjVA6C7QrSIbylB+oZe3aHgBsqlNqKYH48jXyJKMuAbiyVJ8KzaB3eRc0pg9VwQ4niFryI68qiOi3AbjwdsfnAtk0bCjTLJKr6mrD9g8iq/S/B81hguOMlQTnVyG40wAcjnmgsCNESDrjme7wfftP4P7SP4N3CJZdvzoNyGq2c/HWOXJGsvVg+RA/k2MC/wN6I2YA2Pt8GkAAAAASUVORK5CYII=") !important;
}

.icon-success {
  width: 35px;
  height: 100%;
  display: inline-block;
  background-repeat: no-repeat;
  background-position: 100% 50%;
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAADsSURBVEhLY2AYBfQMgf///3P8+/evAIgvA/FsIF+BavYDDWMBGroaSMMBiE8VC7AZDrIFaMFnii3AZTjUgsUUWUDA8OdAH6iQbQEhw4HyGsPEcKBXBIC4ARhex4G4BsjmweU1soIFaGg/WtoFZRIZdEvIMhxkCCjXIVsATV6gFGACs4Rsw0EGgIIH3QJYJgHSARQZDrWAB+jawzgs+Q2UO49D7jnRSRGoEFRILcdmEMWGI0cm0JJ2QpYA1RDvcmzJEWhABhD/pqrL0S0CWuABKgnRki9lLseS7g2AlqwHWQSKH4oKLrILpRGhEQCw2LiRUIa4lwAAAABJRU5ErkJggg==") !important;
}

.icon-warning {
  width: 35px;
  height: 100%;
  display: inline-block;
  background-repeat: no-repeat;
  background-position: 100% 50%;
  background-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABgAAAAYCAYAAADgdz34AAAAAXNSR0IArs4c6QAAAARnQU1BAACxjwv8YQUAAAAJcEhZcwAADsMAAA7DAcdvqGQAAAGYSURBVEhL5ZSvTsNQFMbXZGICMYGYmJhAQIJAICYQPAACiSDB8AiICQQJT4CqQEwgJvYASAQCiZiYmJhAIBATCARJy+9rTsldd8sKu1M0+dLb057v6/lbq/2rK0mS/TRNj9cWNAKPYIJII7gIxCcQ51cvqID+GIEX8ASG4B1bK5gIZFeQfoJdEXOfgX4QAQg7kH2A65yQ87lyxb27sggkAzAuFhbbg1K2kgCkB1bVwyIR9m2L7PRPIhDUIXgGtyKw575yz3lTNs6X4JXnjV+LKM/m3MydnTbtOKIjtz6VhCBq4vSm3ncdrD2lk0VgUXSVKjVDJXJzijW1RQdsU7F77He8u68koNZTz8Oz5yGa6J3H3lZ0xYgXBK2QymlWWA+RWnYhskLBv2vmE+hBMCtbA7KX5drWyRT/2JsqZ2IvfB9Y4bWDNMFbJRFmC9E74SoS0CqulwjkC0+5bpcV1CZ8NMej4pjy0U+doDQsGyo1hzVJttIjhQ7GnBtRFN1UarUlH8F3xict+HY07rEzoUGPlWcjRFRr4/gChZgc3ZL2d8oAAAAASUVORK5CYII=") !important;
}

.toast-container.toast-top-full-width>div,
.toast-container.toast-bottom-full-width>div {
  width: 96%;
  margin: auto;
}

.toast {
  position: relative;
  background-color: #030303;
}

.toast-success {
  background-color: #51a351;
}

.toast-error {
  background-color: #bd362f;
}

.toast-info {
  background-color: #2f96b4;
}

.toast-wait {
  background-color: #2f96b4;
}

.toast-warning {
  background-color: #f89406;
}

/*Responsive Design*/
@media all and (max-width: 240px) {
  .toast-container>div {
    padding: 8px 8px 8px 50px;
    width: 11em;
  }

  .toast-container .toast-close-button {
    right: -0.2em;
    top: -0.2em;
  }
}

@media all and (min-width: 241px) and (max-width: 480px) {
  .toast-container>div {
    padding: 8px 8px 8px 50px;
    width: 18em;
  }

  .toast-container .toast-close-button {
    right: -0.2em;
    top: -0.2em;
  }
}

@media all and (min-width: 481px) and (max-width: 768px) {
  .toast-container>div {
    padding: 15px 15px 15px 50px;
    width: 25em;
  }
}

/*
  * AngularJS-Toaster
  * Version 0.3
 */
:not(.no-enter).toast-container>div.ng-enter,
:not(.no-leave).toast-container>div.ng-leave {
  -webkit-transition: 1000ms cubic-bezier(0.250, 0.250, 0.750, 0.750) all;
  transition: 1000ms cubic-bezier(0.250, 0.250, 0.750, 0.750) all;
}

:not(.no-enter).toast-container>div.ng-enter.ng-enter-active,
:not(.no-leave).toast-container>div.ng-leave {
  opacity: 0.8;
}

:not(.no-leave).toast-container>div.ng-leave.ng-leave-active,
:not(.no-enter).toast-container>div.ng-enter {
  opacity: 0;
}

.dp-picker-input {
  padding: 0.75rem 1.125rem;
  color: #2a2a2a;
  background-color: #ffffff;
  border: 2px solid #dadfe6;
  font-family: Roboto;
  border-radius: 0.375rem;
  font-size: 1rem;
}

.nb-theme-corporate .toast {
  background-color: #517838;
}

.nb-theme-corporate .toast-warning {
  background-color: #b1b94c !important;
}

.nb-theme-corporate .toast-error {
  background-color: #ee4e5e !important;
}

.nb-theme-corporate ngx-screenwriting nb-card-body.argumentos ng2-smart-table .category-cell,
.nb-theme-corporate ngx-screenwriting nb-card-body.roteiros ng2-smart-table .argument-cell,
.nb-theme-corporate frapa-contest-stages-list ng2-smart-table.argumentos .category-cell,
.nb-theme-corporate frapa-contest-stages-list ng2-smart-table.roteiros .argument-cell {
  display: none;
}